XCSoar
Moved from vulture-web/docs/api/xcsoar.md
Waypoints and airspace files from the XCSoar repository.
GET /api/xcsoar/waypoints
Section titled “GET /api/xcsoar/waypoints”Returns a list of waypoint files.
Response
Section titled “Response”{ "records": [ { "name": "BE.cup", "uri": "https://download.xcsoar.org/content/waypoint/country/BE.cup", "type": "waypoint", "area": "be", "update": "2024-01-07" } ]}| Field | Type | Description |
|---|---|---|
name | string | Filename |
uri | string | Download URL |
type | string | Always waypoint |
area | string | Country code (lowercase) |
update | string | Last update date (nearest past Sunday) |
GET /api/xcsoar/airspace
Section titled “GET /api/xcsoar/airspace”Returns a list of airspace files.
Response
Section titled “Response”{ "records": [ { "name": "CAN_USborder.txt", "uri": "https://download.xcsoar.org/content/airspace/region/CAN_USborder.txt", "type": "airspace", "area": "ca", "update": "2024-01-07" } ]}| Field | Type | Description |
|---|---|---|
name | string | Filename |
uri | string | Download URL |
type | string | Always airspace |
area | string | Area code |
update | string | Last update date |
